• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Installation error (about pagination maybe)

#1
Hi, I installed my script both locally and live, everything works correctly. Passing the script to let a friend try it, visiting the main url shows this error.

https://ibb.co/59rMQ13

It's about pagination, but everything works for me! Where's the mistake?
Reply

#2
@Marcolino92,

Have you updated your CI4 to the current version ( https://forum.codeigniter.com/thread-76296.html ). I know that pagination was one of the issues addressed.
Reply

#3
Hi, yes this error appears with this new version. Or rather, everything works correctly, both live and locally, to this friend of mine shows this error and I don't understand why ...
Reply

#4
@Marcolino92

Are all the settings exactly the same between the two systems? What are the differences?

Did you check to see what type the 3 parameter is?
Reply

#5
What I did was to go through the important parts of my script, the controller file, the models, the views, an auth library..and nothing else. Everything works for me, both locally and on the web.

Unfortunately not to my friend. I tried to update again by downloading the CI4 package again, I completed everything and instead he now shows this error: https://ibb.co/6DgbR2T

PS: I don't know the difference between the two systems, can you tell me more about it?
My friend uses as a test: Laravel Valet as the server running PHP 7.2.19
Reply

#6
@Marcolino92,

I don't have any experience with Laravel Valet. Maybe someone in the community does and will respond to this thread.
Reply

#7
Is it possible to notify the developers and possibly take a test?
Reply

#8
@Marcolino92,

This is the place to ask for help. The thread is getting views. Hopefully, someone will respond soon.
Reply

#9
Anyway, I'm not expert about it, but I wonder one thing. If all the minimum CI4 requirements are met, why shouldn't it work in another local program (Laravel Valet)? What should change from another program like XAMPP?
Reply

#10
@Marcolino92,

My guess is that the there is something different with the configuration of the Laravel Valet (assuming that the CI code and version of PHP is exactly the same).
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2021 MyBB Group.